Subject: linux-next: build failure after merge of the kunit-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 6 Aug 2024 09:18:18 +1000

Hi all,

After merging the kunit-fixes tree, today's linux-next build (powerpc
ppc64_defconfig) failed like this:

ERROR: modpost: "__start_rodata" [lib/kunit/kunit.ko] undefined!
ERROR: modpost: "__end_rodata" [lib/kunit/kunit.ko] undefined!

Caused by commit

  7d3c33b290b1 ("kunit: Device wrappers should also manage driver name")

I have used the kunit-fixes tree from next-20240805 for today.

-- 
Cheers,
Stephen Rothwell